﻿@model SYM.DataAccessLayer.user_profile

@{
    ViewBag.Title = "Account Settings";
    ViewBag.Page = "Account Settings";
}

@section customCss4Page{
    <link href="~/Content/themes/m1/assets/pages/css/profile.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/themes/m1/assets/pages/css/tasks.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="http://antenna.io/demo/jquery-bar-rating/dist/themes/fontawesome-stars.css">
}

<!-- BEGIN PAGE CONTENT-->
<div class="row">
    <div class="col-md-12">
        @Html.Partial("/Views/Profile/Partial/_ProfileSideBar.cshtml", Model)
        <!-- BEGIN WISHLIST CONTENT -->
        <div class="profile-content">
            <div class="row">
                <div class="col-md-12">
                    <div class="portlet light">
                        <div class="portlet-title tabbable-line">
                            <div class="caption caption-md">
                                <i class="icon-globe theme-font hide"></i>
                                <span class="caption-subject font-blue-madison bold uppercase">
                                    <i class="icon-badge"></i>
                                    Adventure List
                                </span>
                            </div>
                            <ul class="nav nav-tabs">
                                <li class="active">
                                    <a href="#tab_1_3" data-toggle="tab" id="tab_done">Avventure Completate</a>
                                </li>
                                <li>
                                    <a href="#tab_1_1" data-toggle="tab" id="tab_mntn">@SYM.Localization.Resources.Views.Profile.Adventure.Mountains</a>
                                </li>
                                <li>
                                    <a href="#tab_1_2" data-toggle="tab" id="tab_route">@SYM.Localization.Resources.Views.Profile.Adventure.Routes</a>
                                </li>                             
                            </ul>
                        </div>
                        <div class="portlet-body">
                            <div class="tab-content">
                                <div class="tab-pane active" id="tab_1_3">

                                </div>
                                <div class="tab-pane" id="tab_1_1">
                                    
                                </div>
                                <div class="tab-pane" id="tab_1_2">
                                   
                                </div>                             
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END WISHLIST CONTENT -->

    </div>
</div>

@section ExtraPluginJS {
    <script type="text/javascript" src="~/Content/themes/m1/assets/global/scripts/datatable.js"></script>
    <script type="text/javascript" src="~/Content/themes/m1/assets/global/plugins/datatables/datatables.min.js"></script>
    <script type="text/javascript" src="~/Content/themes/m1/assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js"></script>
    <script type="text/javascript" src="http://antenna.io/demo/jquery-bar-rating/jquery.barrating.js"></script>
}

@section ExtraPageJS{
    <script type="text/javascript" src="~/Content/themes/m1/assets/pages/scripts/table-datatables-editable.js"></script>
}

@section scripts{
<script type="text/javascript">
    $(document).ready(function () {
        //Load Widget
        $.ajax({
            url: "/Profile/_Widget",
            type: "GET",
            dataType: "html",
            }).
            success(function (result) {
                $('#personal_widget').html(result);
            }).
            error(function (xhr, status) {
                console.log(status);
            });

        App.startPageLoading({ animate: true });
        //Load first data
        $.ajax({
            url: "/Profile/_WishList",
            type: "GET",
            dataType: "html",
        }).
        success(function (result) {
            $('#tab_1_3').html(result);
            App.stopPageLoading();
            TableDatatablesEditableNew.init("#dynamic_editable_3");
            $('.rating-stars').barrating({
                theme: 'fontawesome-stars',
                readonly: true
            });
            InitEdit();
        }).
        error(function (xhr, status) {
            console.log(status);
            App.stopPageLoading();
        });
        
    });

    $('#tab_route').one('click', function (e) {
        App.startPageLoading({ animate: true });
        $.ajax({
            url: "/Profile/_RouteList",
            type: "GET",
            dataType: "html",
        }).
        success(function (result) {
            $('#tab_1_2').html(result);
            App.stopPageLoading();
            TableDatatablesEditable.init("#dynamic_editable_2");
            InitEdit();
        }).
        error(function (xhr, status) {
            console.log(status);
            App.stopPageLoading();
        });
    });

    $('#tab_mntn').one('click', function (e) {
        App.startPageLoading({ animate: true });
        $.ajax({
            url: "/Profile/_MountainsList",
            type: "GET",
            dataType: "html",
        }).
        success(function (result) {
            $('#tab_1_1').html(result);
            App.stopPageLoading();
            TableDatatablesEditable.init("#dynamic_editable_1");
            InitEdit();
        }).
        error(function (xhr, status) {
            console.log(status);
            App.stopPageLoading();
        });
    });

    function InitEdit(){
        $("a[data-target=#myModal]").click(function (ev) {
            ev.preventDefault();
            var target = $(this).attr("href");
            // load the url and show modal on success
            $("#modal-body").html("");
            $("#modal-body").load(target, function () {
                $("#myModal").modal("show");
            });
        });
        $("#myModal_submit").click(function () {
            $("#formModal").submit();
        });
    }
</script>

}